import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { SvgCloseIcon } from './svg.js';
export function SlidesList({ count  }) {
    const slides = [];
    for(let i = 0; i < count; i++){
        slides.push(i);
    }
    return /*#__PURE__*/ _jsxs("section", {
        "data-freya-id": "list:container",
        className: "freya__slides hidden",
        children: [
            /*#__PURE__*/ _jsx("div", {
                className: "freya__slides__overlay"
            }),
            /*#__PURE__*/ _jsxs("div", {
                className: "freya__slides__contents",
                children: [
                    /*#__PURE__*/ _jsx("a", {
                        "data-freya-id": "list:close",
                        href: "#",
                        className: "freya__slides__close",
                        children: /*#__PURE__*/ _jsx(SvgCloseIcon, {})
                    }),
                    /*#__PURE__*/ _jsx("nav", {
                        "data-freya-id": "list",
                        className: "freya__slides__list",
                        children: slides.map((index)=>{
                            return /*#__PURE__*/ _jsx("div", {
                                "data-freya-id": "list:slide-wrapper",
                                "data-freya-index": index + 1,
                                className: "freya__slides__wrapper",
                                children: /*#__PURE__*/ _jsx("span", {
                                    className: "freya__slides__wrapper__number",
                                    children: index + 1
                                })
                            }, `slides-list:${index}`);
                        })
                    })
                ]
            })
        ]
    });
}
