import { SVGProps } from 'react';
interface SvgProps extends SVGProps<SVGSVGElement> {
    contents: string;
    classes?: string;
    theme: string;
}
interface SvgIconProps extends SVGProps<SVGSVGElement> {
    viewBoxWidth?: string;
    viewBoxHeight?: string;
    theme: string;
    name: string;
    classes?: string;
}
export declare function Svg({ theme, contents, ...props }: SvgProps): JSX.Element;
export declare function SvgIcon(props: SvgIconProps): JSX.Element;
export declare function SvgCloseIcon(): JSX.Element;
export {};
