import { Talk, Theme } from './models.js';
export declare const rootDir: string;
export declare function resolveImagePath(theme: string, talk: string, url?: string): string;
export declare function resolveImageUrl(theme: string, talk: string, url?: string): string;
export declare function getTheme(themeName: string): Promise<Theme>;
export declare function getTalk(id: string): Promise<Talk>;
export declare function getTalks(): Promise<Set<string>>;
