import { ReactNode } from 'react';
import { Talk, Theme } from '../generation/models.js';
interface BodyProps {
    slides: Array<ReactNode>;
}
interface HeaderProps {
    talk: Talk;
    theme: Theme;
    css: string;
    js: string;
}
export declare function body({ slides }: BodyProps): JSX.Element;
export declare function header({ talk, theme, css, js }: HeaderProps): JSX.Element;
export declare function page(title: string): JSX.Element;
export {};
