import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { SvgCloseIcon } from './svg.js';
export function Presenter() {
    return /*#__PURE__*/ _jsxs("div", {
        "data-freya-id": "presenter:container",
        className: "freya__presenter hidden",
        children: [
            /*#__PURE__*/ _jsx("div", {
                className: "freya__presenter__overlay"
            }),
            /*#__PURE__*/ _jsx("div", {
                className: "freya__presenter__contents",
                children: /*#__PURE__*/ _jsxs("section", {
                    "data-freya-id": "presenter",
                    className: "freya__presenter__layout",
                    children: [
                        /*#__PURE__*/ _jsxs("div", {
                            className: "freya__presenter__header",
                            children: [
                                /*#__PURE__*/ _jsxs("div", {
                                    className: "freya__presenter__header__controls",
                                    children: [
                                        /*#__PURE__*/ _jsx("span", {
                                            "data-freya-id": "presenter:progress",
                                            children: "00/00"
                                        }),
                                        /*#__PURE__*/ _jsx("a", {
                                            "data-freya-id": "presenter:reset",
                                            href: "#",
                                            className: "freya__presenter__timer__button",
                                            children: "🔄"
                                        }),
                                        /*#__PURE__*/ _jsx("a", {
                                            "data-freya-id": "presenter:toggle",
                                            href: "#",
                                            className: "freya__presenter__timer__button",
                                            children: "⏯️"
                                        }),
                                        /*#__PURE__*/ _jsx("span", {
                                            "data-freya-id": "presenter:time",
                                            className: "freya__presenter__timer__time",
                                            children: "00:00"
                                        })
                                    ]
                                }),
                                /*#__PURE__*/ _jsx("a", {
                                    "data-freya-id": "presenter:close",
                                    href: "#",
                                    className: "freya__presenter__close",
                                    children: /*#__PURE__*/ _jsx(SvgCloseIcon, {})
                                })
                            ]
                        }),
                        /*#__PURE__*/ _jsx("div", {
                            "data-freya-id": "presenter:previous",
                            className: "freya__presenter__slide--previous freya__presenter__slide--preview"
                        }),
                        /*#__PURE__*/ _jsx("div", {
                            "data-freya-id": "presenter:current",
                            className: "freya__presenter__slide--current"
                        }),
                        /*#__PURE__*/ _jsx("div", {
                            "data-freya-id": "presenter:next",
                            className: "freya__presenter__slide--preview freya__presenter__slide--next"
                        }),
                        /*#__PURE__*/ _jsx("div", {
                            "data-freya-id": "presenter:notes",
                            className: "freya__presenter__notes",
                            children: "Presenter notes"
                        })
                    ]
                })
            })
        ]
    });
}
