import { CSSValue, UserConfig } from '@unocss/core';
import { Theme as UnoTheme } from '@unocss/preset-mini';
export declare function numericRule(property: string, value: string, unit?: string, ratio?: number): CSSValue;
export declare const systemFonts = "-apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Helvetica, Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol'";
export declare const systemMonospaceFonts = "ui-monospace, SFMono-Regular, Consolas, 'Liberation Mono', Menlo, monospace";
export declare function finalizeCss(config: UserConfig, css: string, fonts: string, minify?: boolean): Promise<string>;
export declare function transformCSS(css: string, config: UserConfig): Promise<string>;
export declare function transformCSSFile(path: string, config: UserConfig): Promise<string>;
export declare function defineUnoConfig<Theme extends {} = UnoTheme>(config: UserConfig<Theme>): UserConfig<Theme>;
