import { FastifyInstance } from 'fastify';
import markdownIt from 'markdown-it';
import { Context, Talk, Theme } from './models.js';
export declare const uncachedImportPrefix = "__uncached__";
export declare const markdownRenderer: markdownIt;
export declare function finalizeJs(code: string): Promise<string>;
export declare function elapsedTime(startTime: bigint): string;
export declare function parseContent(raw?: string): string;
export declare function generateSlideset(theme: Theme, talk: Talk): Promise<string>;
export declare function generateSlidesets(context: FastifyInstance | Context): Promise<Record<string, string>>;
